Subject: [dmarc-ietf] so long again

From: Michael Thomas <[email-masked]>
Date: Wed, 3 Feb 2021 13:55:46 -0800

I came here wondering what ARC was which I got answered and for which I 
wrote a blog post saying that we should just give up on the mailing list 
problem.

https://rip-van-webble.blogspot.com/2020/12/are-mailing-lists-toast.html

The same crap that drove me away the last time is still raging on and 
I'm tired of getting singled out. I did however write a history of DKIM 
and SSP that some here might enjoy since DMARC is pretty much SSP. Mark 
and Murray have been giving me some insight to their back story which 
I'd encourage them to write up too.

https://rip-van-webble.blogspot.com/2021/01/storing-asymmetric-keys-in-client.html

Mike